<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Register/Enqueue Scripts Functions Start                                             */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
  
  
  
function load_theme_scripts() { 
    
	// get the theme's options starts
	global $options; 
	$options = get_option('ceevee_theme_options');
	// get the theme's options ends
		
	
	// add all the styles starts
    wp_register_style('style',  get_template_directory_uri() . '/style.css', false, '1.0', 'all');
	wp_register_style('buttons',  get_template_directory_uri() . '/styles/buttons.css', false, '1.0', 'all');
	wp_register_style('retina',  get_template_directory_uri() . '/styles/retina.css', false, '1.0', 'only screen and (-webkit-min-device-pixel-ratio: 2)');
	wp_register_style('slider',  get_template_directory_uri() . '/styles/slider.css', false, '1.0', 'all');
	wp_register_style('photoswipe',  get_template_directory_uri() . '/styles/photoswipe.css', false, '1.0', 'all');
	
	wp_enqueue_style('style'); 
	wp_enqueue_style('buttons'); 
	wp_enqueue_style('retina'); 
	wp_enqueue_style('slider'); 
	wp_enqueue_style('photoswipe'); 
	// add all the styles ends
	
	
	// add jquery starts
	wp_enqueue_script('jquery'); 
	// add jquery ends
	
	
	// check if the current page is the contact starts
    if(is_page_template( 'page-contact.php' ) && ($options['hideContactForm'] == "false" || $options['hideContactForm'] == '')){
		wp_register_script('contactjs',  get_template_directory_uri() . '/scripts/contact.js', array('jquery'), '1.0', true);
		wp_enqueue_script('contactjs');
	}
	// check if the current page is the contact ends 
	
	wp_register_script('swipe',  get_template_directory_uri() . '/scripts/swipe.js', array('jquery'), '1.0', true );  
	wp_register_script('klass',  get_template_directory_uri() . '/scripts/klass.min.js', array('jquery'), '1.0', true );  
	wp_register_script('photoswipe',  get_template_directory_uri() . '/scripts/photoswipe.js', array('jquery'), '1.0', true );  
	wp_register_script('retina',  get_template_directory_uri() . '/scripts/retina.js', array('jquery'), '1.0', true ); 
	
	wp_enqueue_script('swipe');
	wp_enqueue_script('klass');
	wp_enqueue_script('photoswipe');
	wp_enqueue_script('retina');
	
	wp_register_script('custom',  get_template_directory_uri() . '/scripts/custom.js', array('jquery'), '1.0', true );  
	wp_enqueue_script('custom');
	
	
	
}  

    add_action('wp_enqueue_scripts', 'load_theme_scripts');



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Register/Enqueue Scripts Functions End                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>