<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Create The Theme Options Starts                                                      */

global $ceevee_options;
$ceevee_options = array (

// General Settings
array("name" => __('General Settings','ceevee'),
	"type" => "section",
	"item" => "generalSettings"
	),
	
array("type" => "open"),

array("name" => __('Location:','ceevee'),
	"desc" => __('The location will be shown at the top of the page, near the logo.','ceevee'),
	"id" => "location",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Welcome Message:','ceevee'),
	"desc" => __('Display a short welcome message over the slider. Leave this field blank if you don&rsquo;t want to show any messages.','ceevee'),
	"id" => "welcomeMessage",
	"type" => "text",
	"std" => "Welcome to Ceevee!"),

array("name" => "", 
	"type" => "breakLine"),

array( "name" => __('Custom Css:','ceevee'),
	"desc" => __('Add your custom &quot;Css&quot; here. This will override all the &quot;Css&quot; rules found in &quot;style.css&quot; (eg: a{color:#ff0000})','ceevee'),
	"id" => "customCss",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Favicon:','ceevee'),
	"desc" => __('Add the URL for your custom "favicon" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','ceevee'),
	"id" => "customFavicon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Custom Logo:','ceevee'), 
	"desc" => __('Add the URL for your custom "logo" here. Or click "Upload", browse for a file, and once uploaded click "Insert into Post".','ceevee'),
	"id" => "customLogo",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Icon:','ceevee'),
	"desc" => __('Upload your custom splash icon (Must be a PNG file 114px wide and 114px tall - for iPhone with iOS 4+).','ceevee'),
	"id" => "customIcon",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Splash Screen:','ceevee'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 320px wide and 460px tall - for iPhone with iOS 4+).','ceevee'),
	"id" => "customScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Retina Splash Screen:','ceevee'),
	"desc" => __('Upload your custom splash screen (Must be a PNG file 640px wide and 920px tall, and the name must end with - @2x - for iPhone with iOS 4+).','ceevee'),
	"id" => "customRetinaScreen",
	"type" => "upload",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Page Numbers:','ceevee'),
	"desc" => __('How many page numbers are displayed before and after the current page, before showing arrows instead of numbers (first, previous, last, next).','ceevee'),
	"id" => "pageNumbersRange",
	"type" => "text",
	"std" => "2"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Copyright Text:','ceevee'),
	"desc" => __('Change the copyright text that appears in the footer of your theme.','ceevee'),
	"id" => "copyrightText",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// Portfolio Page
array("name" => __('Portfolio Settings','ceevee'),
	"type" => "section",
	"item" => "portfolioSettings"
	),
	
array("type" => "open"),

array("name" => __('Number Of Items:','ceevee'),
	"desc" => __('Change the number of items that are displayed on a "Portfolio" page (one column style).','ceevee'),
	"id" => "portfolioItemsNumber",
	"type" => "text",
	"std" => '9'),

array("name" => "", 
	"type" => "breakLine"),
	
array("type" => "close"),

// Blog Page
array("name" => __('Blog Settings','ceevee'),
	"type" => "section",
	"item" => "blogSettings"
	),

array("type" =>"open"),

array("name" => __('Blog Excerpt:','ceevee'),
	"desc" => __('Check this option if you want to show the post "Excerpt" instead of the content for the blog/search/archives posts.','ceevee'),
	"checkDesc"=> __('Toggle Blog Excerpt','ceevee'),
	"id" => "blogShowExcerpt",
	"type" => "checkbox",
    "std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array( "type" => "close"),

// Contact Page
array("name" => __('Contact Settings','ceevee'),
	"type" => "section",
	"item" => "contactSettings"
	),
	
array("type" => "open"),

array("name" => __('Contact Email:','ceevee'),
	"desc" => __('The email address used by the "Contact" page to submit the message to.','ceevee'),
	"id" => "contactEmail",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Contact Phone:','ceevee'),
	"desc" => __('If this field is not empty a small phone icon will be visible in the header next to the email icon.','ceevee'),
	"id" => "contactPhone",
	"type" => "text",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Success Message:', 'ceevee'),
	"desc" => __('Change the message that&rsquo;s displayed once the contact form has been submitted successfully.','ceevee'),
	"id" => "contactSuccess",
	"type" => "text",
	"std" => "Your email was sent!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Name Error:', 'ceevee'),
	"desc" => __('Change the message that&rsquo;s displayed if the "name" field is empty.','ceevee'),
	"id" => "contactNameError",
	"type" => "text",
	"std" => "Please enter your name!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Email Error:', 'ceevee'),
	"desc" => __('Change the message that&rsquo;s displayed if the "email" field is empty.','ceevee'),
	"id" => "contactEmailError",
	"type" => "text",
	"std" => "Please enter your email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Invalid Email Error:', 'ceevee'),
	"desc" => __('Change the message that&rsquo;s displayed if the email address entered by the user is not a valid email address.','ceevee'),
	"id" => "contactInvalidEmailError",
	"type" => "text",
	"std" => "Please enter a valid email address!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Message Error:', 'ceevee'),
	"desc" => __('Change the message that&rsquo;s displayed if the "message" field is empty.','ceevee'),
	"id" => "contactMessageError",
	"type" => "text",
	"std" => "Please enter your message!"),

array("name" => "", 
	"type" => "breakLine"),

array("name" => __('Hide Contact Form:','ceevee'), 
	"desc" => __('Check this option if you want to hide the entire contact form.','ceevee'),
	"checkDesc"=> __('Toggle Contact Form','ceevee'),
	"id" => "hideContactForm",
	"type" => "checkbox",
	"std" => "false"),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close"),

// SEO settings
array("name" => __('SEO Settings','ceevee'),
	"type" => "section",
	"item" => "seoSettings"
	),
	
array("type" => "open"),

array("name" => __('Google Analytics:','ceevee'),
	"desc" => __('Add your Google Analytics (or other tracking code) here.','ceevee'),
	"id" => "googleAnalytics",
	"type" => "textarea",
	"std" => ""),

array("name" => "", 
	"type" => "breakLine"),

array("type" => "close")

);

/*///////////////// Create The Theme Options Ends                                                        */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>