<?php
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Theme Panel Functions Start                                                   */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



$themename = "ceevee";
$shortname = "ceevee";
$version = "1.0.0.120719";

$option_group = $shortname.'_theme_option_group';
$option_name = $shortname.'_theme_options';



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Add Styles/Scripts Starts                                                            */

add_action('admin_init', 'ceevee_add_init');

function ceevee_add_init() {
	
	$file_dir = get_template_directory_uri();
	wp_register_style("ceeveeCss", $file_dir."/functions/theme-options/css/theme-options.css", array('colors'), "1.0", "all");
	wp_register_script("ceeveeJQui", $file_dir."/functions/theme-options/js/jquery-ui-1.8.17.custom.min.js", array('jquery'), "1.0");
	wp_register_script("ceeveeTools", $file_dir."/functions/theme-options/js/jquery.tools.min.js", array('jquery'), "1.0");
	wp_register_script("ceeveeScript", $file_dir."/functions/theme-options/js/theme-options.js", array('jquery','media-upload','thickbox'), "1.0");
	
	if ( is_admin() && isset( $_GET['page'] ) && strpos( '_' . $_GET['page'], 'theme-options' ) ) {
		
		wp_enqueue_style('thickbox');
		wp_enqueue_style('ceeveeCss');
		wp_enqueue_script('ceeveeJQui');
	
	}
	wp_enqueue_script('ceeveeTools');
	wp_enqueue_script('ceeveeScript');
	
}

/*///////////////// Add Styles/Scripts Ends                                                              */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Create The Custom Settings Menu Starts                                               */

add_action('admin_menu', 'ceevee_create_menu');

function ceevee_create_menu() {
	global $themename;
	add_menu_page( __( $themename.' Theme Options' ), __( 'Theme Options' ,'splaty'), 'edit_theme_options', basename(__FILE__), 'ceevee_settings_page' );
}

/*///////////////// Create The Custom Settings Menu Ends                                                 */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Register Settings Starts                                                             */

add_action( 'admin_init', 'register_settings' );

function register_settings() {
	global $themename, $shortname, $version, $ceevee_options, $option_group, $option_name;
  	//register our settings
	register_setting( $option_group, $option_name);
}

/*///////////////// Register Settings Ends                                                               */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Get The Options Starts                                                               */

require_once(TEMPLATEPATH . '/functions/theme-options/options.php');

/*///////////////// Get The Options Ends                                                                 */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/


/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Create The Settings Page Starts                                                      */

function ceevee_settings_page() {
	global $themename, $shortname, $version, $ceevee_options, $option_group, $option_name;
?>
<!-- main wrap starts -->
<div class="wrap">
		<!-- settings wrap starts -->
        
        <!-- save/reset messages start -->
		<div class="settingsMainWrap">
        <?php if ( isset ( $_POST['reset'] ) ): ?>
		<?php // Delete Settings
			global $wpdb, $themename, $shortname, $version, $ceevee_options, $option_group, $option_name;
			delete_option('ceevee_theme_options');
			wp_cache_flush(); ?>
    
			<div class="updated fade">
				<p><strong><?php _e( $themename. ' options reset.', 'splaty' ); ?></strong></p>
				</div>
  
	        <?php elseif ( isset ( $_REQUEST['settings-updated'] ) ): ?>
			<div class="updated fade">
    			<p><strong><?php _e( $themename. ' options saved.', 'splaty' ); ?></strong></p>
			</div>
	        <?php endif; ?>
            <!-- save/reset messages end -->
            
            <!-- settings header starts -->
            <div class="settingsHeaderWrap">
                <div class="settingsLogo"></div>
                <form method="post" action="" class="settingsResetForm">
                    <input class="resetBtn" type="submit" name="reset" value="<?php _e('Reset All Settings', 'splaty') ?>"/>
                    <input type="hidden" name="action" value="reset"/>
                </form>
                <span class="resetWarning"><?php _e('Careful, you won&rsquo;t be able to undo this!','splaty')?></span>
            </div>
            <!-- settings header ends -->
            <!-- options panel starts -->
            <form method="post" action="options.php" class="settingsPanel" id="settingsPanel">
                <!-- settings wrap starts -->
                <div class="settingsWrap">
                    <?php settings_fields( $option_group ); ?>
                    <?php $options = get_option( $option_name ); ?>
                    <!-- settings menu wrap starts -->
                    <div class="settingsMenuWrap">
                        <!-- settings menu starts -->
                        <ul class="settingsMenu">
                            <?php foreach ($ceevee_options as $value) {
                                // menu loop starts 
                                if ( isset($value['id']) ) { $valueid = $value['id'];}
                                    switch ( $value['type'] ) {
                                        case "section":
                                        ?>
                                        <li class="settingsMenuItem"><span class="<?php echo $value['item']; ?> settingsIcon"></span><a href="" class="settingsMenuBtn"><?php echo $value['name']; ?></a></li>
                            <?php }}?>
                        </ul>
                        <!-- settings menu ends -->
                        <!-- save btn starts -->
                        <div class="saveBtnWrap">
                            <!--<input class="saveBtn" type="submit" name="save" value="<?php //_e('Save All Settings','splaty');?>"/>-->
                            <a href="" class="saveBtn" id="saveBtn"><?php _e('Save All Settings','splaty');?></a>
                        </div>
                        <!-- save btn ends -->
                    </div>
                    <!-- settings menu wrap ends -->
                    <!-- menu loop ends -->

                    <!-- section loop starts -->
                    <!-- settings panels start -->
                    <div class="settingsPanels">
                        <?php foreach ($ceevee_options as $value) {?>
                            <?php if ( isset($value['id']) ) { $valueid = $value['id'];}
                                switch ( $value['type'] ) {
                                    case "section":
                                    ?>
                                    <!-- settings panel starts -->
                                    <div class="settingsPanel">
                                    
                                    <?php 
                                    break;
                                    case 'text':
                                    ?>
                                    
                                    <?php // text starts ?>
                                        <label for="<?php echo $option_name.$valueid; ?>"><?php echo $value['name']; ?></label>
                                        <input name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.$valueid; ?>" type="text" value="<?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?>" />
                                        <div class="optionsDescriptionWrap"><p><?php echo $value['desc']; ?></p></div>
                                    <?php // text ends ?>
                                    
                                    <?php
                                    break;
                                    case 'textarea':
                                    ?>
                                    
                                    <?php // textarea starts ?>
                                        <label for="<?php echo $option_name.$valueid; ?>"><?php echo $value['name']; ?></label>
                                        <textarea name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.$valueid; ?>"  cols="" rows=""><?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?></textarea>
                                        <div class="optionsDescriptionWrap"><p><?php echo $value['desc']; ?></p></div>
                                    <?php // textarea ends ?>
                                    
                                    <?php 
                                    break;
                                    case 'select':
                                    ?>
                                    
                                    <?php // select starts ?>
                                        <label for="<?php echo $option_name.$valueid; ?>"><?php echo $value['name']; ?></label>
                                        <!-- drop down starts -->
                                        <div class="dropDown"> 
                                            <a href="#" class="">Select an option</a>
                                            <ul>
                                                <?php foreach ($value['options'] as $option) { ?>
                                                <li><a href="<?php echo $option; ?>"><?php echo $option; ?></a></li>
                                                <?php } ?>
                                            </ul>
                                            <input name="<?php echo $option_name.'['.$valueid.']'; ?>" type="hidden" id="<?php echo $option_name.$valueid; ?>" value="<?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?>" class="dropDownInput"/>
                                        </div>
                                        <!-- drop down ends -->
                                        <div class="optionsDescriptionWrap"><p><?php echo $value['desc']; ?></p></div>
                                    <?php // select ends ?>
                                    
                                    <?php
                                    break;
                                    case "checkbox":
                                    ?>
                                    
                                    <?php // checkbox starts ?>
                                        <label for="<?php echo $option_name.$valueid; ?>"><?php echo $value['name']; ?></label>
                                        <!-- checkbox starts --> 
                                        <div class="checkBox">
                                            <a href=""><?php echo $value['checkDesc']; ?></a>
                                            <input type="hidden" name="<?php echo $option_name.'['.$valueid.']'; ?>" id="<?php echo $option_name.$valueid; ?>" value="<?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?>" />
                                        </div>
                                        <!-- checkbox ends -->
                                        <div class="optionsDescriptionWrap"><p><?php echo $value['desc']; ?></p></div>
                                    <?php // checkbox ends ?>
                                    
                                    <?php
                                    break;
                                    case "upload":
                                    ?>
                                    
                                    <?php // upload fields start ?>
                                    	<label for="<?php echo $option_name.$valueid; ?>"><?php echo $value['name']; ?></label>
                                        <!-- upload field starts --> 
                                    	<div class="uploadWrap">
                                    		<input id="<?php echo $option_name.$valueid; ?>" type="text" class="uploadField" name="<?php echo $option_name.'['.$valueid.']'; ?>" value="<?php if ( isset( $options[$valueid]) ){ esc_attr_e($options[$valueid]); } else { esc_attr_e($value['std']); } ?>" />
                                    		<input id="<?php echo $option_name.$valueid; ?>Btn" type="button" class="uploadBtn" value="<?php _e('upload', 'splaty'); ?>" />
                                            <?php if( $options[$valueid] != '' ){ ?>
                                                <div class="logoPreviewWrap">
                                            		<img src="<?php echo $options[$valueid] ?>" class="logoPreview" alt=""/>
                                                </div>
                                            <?php }; ?>
                                    	</div>
                                        <!-- upload field ends -->
                                    	<div class="optionsDescriptionWrap"><p><?php echo $value['desc']; ?></p></div>
                                    <?php // upload fields end ?>
                                    
                                    <?php
                                    break;
                                    case "breakLine":
                                    ?>
                                    
                                    <?php // breakline starts ?>
                                    <div class="clear"></div>
                                    <?php // breakline ends ?>
                                    
                                    <?php
                                    break;
                                    case "close":
                                    ?>
  
                                    </div>
                                    <!-- settings panel ends -->
                                    
                                    <?php 
                                    break;
                                    }
                                    }
                                    ?>
                    </div>
                    <!-- settings panels end -->
                        
  						
                </div>
                <!-- settings wrap ends -->
            </form>
            <!-- options panel ends -->

            <!-- settings footer starts -->
            <div class="settingsFooterWrap">
               <span class="versionNumber"><?php _e('version ' . $version, 'splaty'); ?></span>
            </div>
            <!-- settings footer ends -->
    
		</div>
		<!-- settings main wrap ends -->
</div>
<!-- main wrap ends -->

<?php } 

/*///////////////// Create The Settings Page Ends                                                        */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/



/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
/*///////////////// Custom Theme Panel Functions End                                                     */
/*///////////////////////////////////////////////////////////////////////////////////////////////////////*/
?>